VNCONFIG(8)

NAME
vnconfig - configure vnode disks

SYNOPSIS
vnconfig [-crvz] [-f disktab] [-t typename] vnode_disk regular_file [geomspec]
vnconfig -u [-Fv] vnode_disk
vnconfig -l [vnode_disk]

DESCRIPTION
The vnconfig command configures vnode pseudo disk devices. It will associate the vnode disk vnode_disk with the regular file regular_file allowing the latter to be accessed as though it were a disk. Hence a regular file within the filesystem can be used for swapping or can contain a filesystem that is mounted in the name space. The vnode_disk is a special file of raw partition or name of vnode disk like vnd0.

Options indicate an action to be performed:

-c  Configures the device. If successful, references to vnode_disk will access the contents of regular_file.

    If geomspec is specified, the vnode device will emulate the specified disk geometry. The format of the geomspec argument is:

    secsize/nsectors/ ntracks/ncylinders

    If geometry is not specified, the kernel will choose a default based on 1MB cylinders. secsize is the number of bytes per sector. It must be an even multiple of 512. nsectors is the number of sectors per track. ntracks is the number of tracks per cylinder. ncylinders is the number of cylinders in the device.

-F  Force unconfiguration if the device is in use. Does not imply -u.

-f disktab
    Specifies that the -t option should look up in disktab instead of in /etc/disktab.

-l  List the vnd devices and indicate which ones are in use. If a specific vnode_disk is given, then only that will be described.

-t typename
    If configuring the device, look up typename in /etc/disktab and use the geometry specified in the entry. This option and the geomspec argument are mutually exclusive.

-r  Configure the device as read-only.

-u  Unconfigures the device.

-v  Print messages to stdout describing actions taken.

-z  Assume that regular_file is a compressed disk image in cloop2 format, and configure it read-only. See the vndcompress(1) manpage on how to create such an image.

If no action option is given, -c is assumed.

FILES
/dev/rvnd??
/dev/vnd??
/etc/disktab

EXAMPLES
    vnconfig vnd0 /tmp/diskimage
or
    vnconfig /dev/rvnd0c /tmp/diskimage

Configures the vnode disk vnd0. Please note that use of the second form of the command is discouraged because it requires knowledge of the raw partition which varies between architectures.

    vnconfig vnd0 /tmp/floppy.img 512/18/2/80

Configures the vnode disk vnd0 emulating the geometry of 512 bytes per sector, 18 sectors per track, 2 tracks per cylinder, and 80 cylinders total.

    vnconfig -t floppy vnd0 /tmp/floppy.img

Configures the vnode disk vnd0 using the geometry specified in the floppy entry in /etc/disktab.

    vnconfig -u vnd0

Unconfigures the vnd0 device.

SEE ALSO
opendisk(3), vnd(4), mount(8), swapctl(8), umount(8)

HISTORY
The vnconfig command appeared in NetBSD 1.0.

BUGS
This command should really be named vndconfig.